道常无为

Linux随记

linux下Python安装urllib3模块遇到的破事

导入报错

[root@hizhanghao python]# pip install urllib3
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/
Requirement already satisfied: urllib3 in /usr/lib/python2.7/site-packages (1.10.2)
pyopenssl 17.2.0 has requirement cryptography>=1.9, but you'll have cryptography 1.7.2 which is incompatible.

jinja2 2.9.5 has requirement MarkupSafe>=0.23, but you'll have markupsafe 0.11 which is incompatible.

报错1解决:

[root@hizhanghao python]# pip install --upgrade ndg-httpsclient

[root@hizhanghao python]# pip install urllib3
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/
Requirement already satisfied: urllib3 in /usr/lib/python2.7/site-packages (1.10.2)

jinja2 2.9.5 has requirement MarkupSafe>=0.23, but you'll have markupsafe 0.11 which is incompatible.

报错2解决

[root@hizhanghao python]# pip install Jinja2==2.6

搞定

[root@hizhanghao python]# pip install urllib3

Looking in indexes: https://pypi.mirrors.ustc.edu.cn/simple

Requirement already satisfied: urllib3 in /usr/lib/python2.7/site-packages (1.10.2)


阅读更多
版权声明:本文章可自由使用和转载,注明出处更好。 https://blog.csdn.net/ZH5610/article/details/80350089
想对作者说点什么? 我来说一句

python urllib3

2014年04月19日 100KB 下载

Linux下安装python安装与升级

2017年08月21日 35KB 下载

python_urllib3

2017年04月17日 145KB 下载

没有更多推荐了,返回首页

不良信息举报

linux下Python安装urllib3模块遇到的破事

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭